<div class="container konto-container">
  <div class="row">
    <div class="col header-col">
      <h5>Dein Konto</h5>
    </div>
  </div>

  <div class="row">
    <div class="col col-6">
      <div class="input-group">
        <form>
          <div class="form-group">
            <label for="usernameInput">Username</label>
            <div class="input-group">
              <input [(ngModel)]="usernameField" [disabled]="usernameDisabled" [value]="user.displayName"
                     aria-describedby="actualName" class="form-control" id="usernameInput" name="usernameField"
                     placeholder=" {{ user.displayName }}" type="username">
              <div class="input-group-append">
                <input (click)="usernameDisabled = false" *ngIf="usernameDisabled" class="btn btn-outline-secondary"
                       type="submit" value="Ändern">
                <input (click)="usernameDisabled = true; updateUserName()" *ngIf="!usernameDisabled"
                       class="btn btn-outline-secondary" type="submit" value="Speichern">
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
    <div class="col col-6 align-content-center">
      <div class="input-group">
        <div class="form-group">
          <label for="selected-avatar">Avatar: </label>
          <div class="input-group">
            <div class="avatar">
              <img
                [src]="'assets/images/avatare/avatar' + user.avatarId + '.png'"
                alt="User name"
                id="selected-avatar"/>
            </div>
            <div class="input-group-append">
              <input class="btn btn-outline-secondary button-space"
                     data-target="#avatar-selection"
                     data-toggle="modal"
                     data-whatever="@mdo"
                     type="button"
                     value="Ändern">
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col counter line-blue">
      <small class="form-text text-muted">Karmapunkte</small>
      <h3>{{ user.reputation }}</h3>
    </div>
    <div class="col counter line-red">
      <small class="form-text text-muted">Angemeldet seit</small>
      <h3>{{ user.creationDate | date: 'dd.MM.yyyy' }}</h3>
    </div>
    <div class="col counter line-orange">
      <small class="form-text text-muted">Letzter Login</small>
      <h3>{{ user.lastAccessDate | date: 'dd.MM.yyyy' }}</h3>
    </div>
  </div>

  <div class="row">
    <div class="col">
      <label for="comment">Über mich:</label>
    </div>
    <div class="col">
      <div (click)="areaIsDisabled = false" *ngIf="areaIsDisabled" class="bearbeiten">
        <svg class="bi bi-pencil-square" fill="currentColor" height="1em" viewBox="0 0 16 16" width="1em"
             xmlns="http://www.w3.org/2000/svg">
          <path
            d="M15.502 1.94a.5.5 0 010 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 01.707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 00-.121.196l-.805 2.414a.25.25 0 00.316.316l2.414-.805a.5.5 0 00.196-.12l6.813-6.814z"/>
          <path clip-rule="evenodd"
                d="M1 13.5A1.5 1.5 0 002.5 15h11a1.5 1.5 0 001.5-1.5v-6a.5.5 0 00-1 0v6a.5.5 0 01-.5.5h-11a.5.5 0 01-.5-.5v-11a.5.5 0 01.5-.5H9a.5.5 0 000-1H2.5A1.5 1.5 0 001 2.5v11z"
                fill-rule="evenodd"/>
        </svg>
        <label>bearbeiten</label>
      </div>
      <div (click)="areaIsDisabled = true; updateAboutMe()" *ngIf="!areaIsDisabled" class="bearbeiten">
        <svg class="bi bi-check" fill="currentColor" height="1em" viewBox="0 0 16 16" width="1em"
             xmlns="http://www.w3.org/2000/svg">
          <path clip-rule="evenodd"
                d="M13.854 3.646a.5.5 0 010 .708l-7 7a.5.5 0 01-.708 0l-3.5-3.5a.5.5 0 11.708-.708L6.5 10.293l6.646-6.647a.5.5 0 01.708 0z"
                fill-rule="evenodd"/>
        </svg>
        <label>speichern</label>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col">
      <div class="form-group">
        <textarea
          [(ngModel)]="user.aboutMe" [disabled]="areaIsDisabled"
          [value]="user.aboutMe"
          class="form-control"
          id="comment"
          name="aboutMeField"
          rows="5">
          {{user.aboutMe}}
        </textarea>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col">
      <!------ @todo hier kommt die Liste rein ---------->
      <label>Für mich sichtbare Channel:</label>
      <div class="col-md-12 channels">
        <table class="table">
          <tbody>
          <app-channel-preferences
            *ngFor="let c of channels"
            [channel]="c" class="item">
          </app-channel-preferences>
          </tbody>
        </table>
      </div>
      <!------ hier ist die Liste zuende ---------->
    </div>
  </div>
  <div class="row last-row justify-content-around align-items-center">
  </div>
</div>

<div aria-hidden="true"
     aria-labelledby="exampleModalLabel"
     class="modal fade"
     id="avatar-selection"
     role="dialog"
     tabindex="-1">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Avatar auswählen</h5>
        <button aria-label="Close" class="close" data-dismiss="modal" type="button">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="carousel slide" data-intervall="false" data-ride="carousel" id="carouselExampleInterval">
          <div class="carousel-inner">
            <ng-container *ngFor="let index of [0, 1, 2, 3, 4, 5, 6, 7]">
              <div [ngClass]="{'active': user.avatarId === index}" class="carousel-item">
                <img [src]="'assets/images/avatare/avatar' + index + '.png'" alt="..." class="d-block w-100">
                <div class="carousel-caption d-md-block">
                  <button (click)="onSaveAvatar(index)" class="btn btn-danger" data-dismiss="modal">Speichern</button>
                </div>
              </div>
            </ng-container>
          </div>
          <a class="carousel-control-prev" data-slide="prev" href="#carouselExampleInterval" role="button">
            <span aria-hidden="true" class="carousel-control-prev-icon"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" data-slide="next" href="#carouselExampleInterval" role="button">
            <span aria-hidden="true" class="carousel-control-next-icon"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
  </div>
</div>
